{% extends 'base.html' %}

{% block title %}{{ heading }}{% endblock %}

{% block content %}
    <div>
        <form action="{% url 'save_study' %}" method="post">
            <div class="form-group mb-4">
                <h1>{{ heading }}</h1>
            </div>
            <!-- Iterate over all form fields and layout them. -->
            <div class="form-group mb-4">
                {% csrf_token %}
                {% for field in form %}
                    <div class="form-group mb-4">
                        {% if field.name != 'requirements' %}
                            <label for="{{ field.id_for_label }}">{{ field.label }}:</label>
                            {{ field }}
                            <small id="{{ field.name }}_help" class="form-text text-muted">{{ field.help_text }}</small>
                        {% else %}
                            <label>{{ field.label }}:</label><br>
                            {{ field }}
                            <small id="{{ field.name }}_help" class="form-text text-muted">{{ field.help_text }}</small>
                        {% endif %}
                    </div>
                {% endfor %}
            </div>
            <input type="submit" value="{{ heading }}">
        </form>
    </div>

{% endblock %}